CVE-2015-4469

NameCVE-2015-4469
DescriptionThe chmd_read_headers function in chmd.c in libmspack before 0.5 does not validate name lengths, which allows remote attackers to cause a denial of service (buffer over-read and application crash) via a crafted CHM file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs774726

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmspack (PTS)buster0.10.1-1fixed
bullseye0.10.1-2fixed
bookworm0.11-1fixed
sid, trixie0.11-1.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmspacksource(unstable)0.4-3774726

Notes

https://www.openwall.com/lists/oss-security/2015/02/03/11

Search for package or bug name: Reporting problems